Subject: Offline Message from Craig Upton: I bought a swagtron 5 and I love it. I use
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 25 Apr 2022 13:46:47 -0000

From: Craig Upton <[email-masked]>
Phone: 4154125106
Location: Seattle, United States
URL: https://swagtron.com/product-category/electric-scooter/
Department: SwagTron

I bought a swagtron 5 and I love it. I use instead of a wheelchair(I have COPD). It doesn’t have many miles on it, but I use it whenever I travel. I was going up a steep hill and the display went blank and the wheel locked and threw me off. The front tire was extremely hard to turn until I unplugged it and then I was able to walk it back to the car. Plugging it back in locks the wheel, still no display. 
How can I get this repaired?

----
Zopim
https://www.zopim.com